



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>【7】用Laravel5.1开发一个简单的博客系统</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">【7】用Laravel5.1开发一个简单的博客系统</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-28 23:53:20 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h3>声明：</h3>
<blockquote><p>本教程参考Jeffrey way 在laracasts.com上的视频教程，感谢Jeffrey way为大家带来的精彩教程，本教程如有侵权，请及时告知，联系邮箱<a href="wanglv93@gmail.com" rel="external nofollow noreferrer">wanglv93@gmail.com</a></p></blockquote>
<blockquote><p>Jeffery 视频地址：<a href="https://laracasts.com/series/laravel-5-fundamentals" rel="external nofollow noreferrer">https://laracasts.com/series/laravel-5-fundamentals</a></p></blockquote>
<p>1、首先使用php artisan的migration来创建数据库</p>
<blockquote><p>打开命令行，输入</p>
<p>```php</p>
<p>php artisan make:migration create_articles --create=”articles”</p>
<p>```</p>
<p>--create 表示这条migration将创建的表名是articles</p></blockquote>
<blockquote><p>打开刚刚创建的database/migrations/XXXXXXX_create_articles.php</p>
<p>修改文件代码为：</p>
<pre class="prettyprint linenums">public function up()<br />
    {<br />
        Schema::create('articles', function (Blueprint $table) {<br />
            $table-&gt;increments('id');<br />
            $table-&gt;string('title');<br />
            $table-&gt;text('body');<br />
            $table-&gt;timestamps();<br />
            $table-&gt;timestamp('published_at');<br />
        });<br />
    }</pre></blockquote>
<blockquote><pre class="prettyprint linenums">下面执行迁移命令，让这个文件生成数据库</pre>
<pre class="prettyprint linenums">php artisan migrate</pre>
<pre class="prettyprint linenums">打开数据库，我们会看到生成了我们要的文章表</pre>
<pre class="prettyprint linenums"><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/634905/201509/634905-20150905235127092-1989889889.png"></pre></blockquote>
<p>我们继续学习一下migration，现在我们已经有了一个articles表，但是我们想要在这个表里加一个字段，这个时候，我们只需要再创建一个migration，命令如下：</p>
<blockquote><p>php artisan make:migration add_excerpt_to articles_table –table=”articles”</p>
<p>--table 也是一个可选参数，加上这个参数说明，你想操作的表示articles这个表。</p></blockquote>
<p>打开这个文件，修改里边代码：</p>
<blockquote><pre class="prettyprint linenums">    public function up()<br />
    {<br />
        Schema::table('articles', function (Blueprint $table) {<br />
            $table-&gt;text('excerpt');<br />
        });<br />
    }

    /**<br />
     * Reverse the migrations.<br />
     *<br />
     * @return void<br />
     */<br />
    public function down()<br />
    {<br />
        Schema::table('articles', function (Blueprint $table) {<br />
            $table-&gt;dropColumn('excerpt');<br />
        });<br />
    }</pre></blockquote>
<blockquote><pre class="prettyprint linenums">老样子，还是使用迁移命令，让这个文件对数据库操作生效</pre>
<pre class="prettyprint linenums">php artisan migrate</pre>
<pre class="prettyprint linenums"><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/634905/201509/634905-20150905235128139-1198696920.png"></pre></blockquote>
<blockquote><p>articles表多出一个字段吧</p></blockquote>
<h3>one more thing ..</h3>
<p>这个时候我想执行撤销功能，不想添加这个字段了，即想调用add_excerpt_to articles_table 的down方法</p>
<blockquote><p>我只需要执行：php artisan migrate:rollback</p>
<p>就会撤销刚才的操作</p></blockquote>
<h3>注意：在撤销操作是如果发生错误（laravel5.1是没有问题的，在5.0版本可能有问题）</h3>
<p>可能是你的laravel缺少一个包，安装一下就好了</p>
<blockquote><p>composer require doctrine/dbal</p></blockquote>
<p>至此，我们的数据库已经完成文章表的创建了！</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m8zkzdx8.html">Jenkins入门系列之&mdash;&mdash;03PDF文档下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pgdgk9.html">View &amp;amp&semi; draw</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qy7ldgq.html">MVC5&plus;EF6 简易版CMS（非接口） 第三章：数据存储和业务处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/49gwlzz8.html">windows下面go语言环境搭建</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wdvkvq.html">textarea 在浏览器中禁用拖动和固定大小</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zk0g69.html">Android学习笔记进阶之在图片上涂鸦&lpar;能清屏&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pj35p79.html">SVN 目录结构</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pj47049.html">Managing Hierarchical Data in MySQL</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1ve7k9.html">sudo gedit xx warning</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zp6ln9.html">三大框架之hibernate</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy12odmq.html">ios中关于UIImagePickerController的一些知识总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zndng9.html">ionic的安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mew2joq.html">阿里云centos 安装和配置 DokuWiki</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1p13xq.html">django初探-创建简单的博客系统&lpar;二&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zp2nx9.html">RxSwift 操作符</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyw35jq.html">如何调用别人提供的webservice接口</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll5pzxq.html">Vue-CLI 3&period;x 设置反向代理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyok3gq.html">实现strStr&lpar;&rpar;的golang实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnve0g28.html">关于&period;htaccess的设置</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjxel69.html">uva-519-拼图</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qlm43009.html">LBS配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pjrozy9.html">jQuery读取JSON总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvly21q.html">python 各模块</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2w4zevq.html">vim的命令集合</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvllmoq.html">IOS中获取各种文件的目录路径的方法-备</a>
			</li>
						<li><a href="https://www.batexi.com/a/93xzmng9.html">bash模式和模式匹配</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn1opeg8.html">&dollar;rootScope</a>
			</li>
						<li><a href="https://www.batexi.com/a/8okezle9.html">俄罗斯人开发的等待控件TfgActivityDialog</a>
			</li>
						<li><a href="https://www.batexi.com/a/qydzw2dq.html">virsh 基于xml create VMs虚机</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn1pm538.html">Java 四种线程池的用法分析</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
